### Method

# Goa Account dup_provider_type

#### Declaration [src]

    gchar*
    goa_account_dup_provider_type (
      GoaAccount* object
    )

#### Description [src]

Gets a copy of the “ProviderType” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

This method is not directly available to language bindings.

#### Return value

Type: `gchar*`

The property value or `NULL` if the property is not set. The returned value should be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.